Organization Members

Organization Members endpoints of the bizSupply API.

Last updated: 2026-07-21

GET /api/v1/organizations/{orgId}/members

List members of an organization (OWNER or ADMIN only).

Parameters

NameInRequiredDescription
orgIdpathyesOrganization UUID.
pageablequeryyes

Responses

StatusDescription
200Paginated list of members
403Insufficient role

POST /api/v1/organizations/{orgId}/members

Add a member to an organization (OWNER or ADMIN only).

Parameters

NameInRequiredDescription
orgIdpathyesOrganization UUID.

Request body

  • application/jsonAddMemberRequest

Responses

StatusDescription
200Created membership
403Insufficient role
409User is already a member

POST /api/v1/organizations/{orgId}/members/transfer-ownership

Transfer organization ownership to another member (OWNER only).

The current OWNER is downgraded to ADMIN after the transfer.

Parameters

NameInRequiredDescription
orgIdpathyesOrganization UUID.

Request body

  • application/jsonTransferOwnershipRequest

Responses

StatusDescription
200Ownership transferred
403Not the current OWNER
404New owner is not a member

DELETE /api/v1/organizations/{orgId}/members/{userId}

Remove a member from an organization (OWNER or ADMIN only).

Parameters

NameInRequiredDescription
orgIdpathyesOrganization UUID.
userIdpathyesTarget member's user UUID.

Responses

StatusDescription
204Member removed
403Insufficient role
404User is not a member

PUT /api/v1/organizations/{orgId}/members/{userId}/role

Update a member's role in an organization (OWNER or ADMIN only).

Parameters

NameInRequiredDescription
orgIdpathyesOrganization UUID.
userIdpathyesTarget member's user UUID.

Request body

  • application/jsonUpdateMemberRoleRequest

Responses

StatusDescription
200Updated membership
403Insufficient role
404User is not a member